Subject: bug#68157: 30.0.50; Size of selected font is wrong

From: Arash Esbati <[email-masked]>
Date: Sun, 31 Dec 2023 00:00:08 +0100

Stefan Kangas <[email-masked]> writes:

> Could you please explain how the size is wrong?

The size of the font selected is way too large:

  • I select 'Source Code Pro' at 11pt and get 22pt[1]:
      mac-ct:-*-Source Code Pro-regular-normal-normal-*-22-*-*-*-m-0-iso10646-1 (#x01)
  • I select 'Courier New' at 10pt and get 20pt:
      mac-ct:-*-Courier New-regular-normal-normal-*-20-*-*-*-m-0-iso10646-1 (#x52)

I had this in my custom file:

  (custom-set-faces
   '(default ((t (:family "Source Code Pro" :foundry "nil" :slant normal
                  :weight medium :height 110 :width normal))))

which now gives a huge font.  I had to turn it into:

  (custom-set-faces
   '(default ((t (:family "Source Code Pro" :foundry "nil" :slant normal
                  :weight medium :height 55 :width normal))))

in order to get back to normal state with:

  mac-ct:-*-Source Code Pro-medium-normal-normal-*-11-*-*-*-m-0-iso10646-1 (#x29)

> Also, does `C-x C-M-0 +' work?

Yes, but the baseline is the large font size as described above.

Best, Arash

Footnotes:
[1]  I pasted the wrong snippet in my last message; sorry.